- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CutScene Class Reference

`#include <CutScene.h>`

Inheritance diagram for CutScene:

List of all members.

## Public Member Functions
| CutScene (List *info, int x, int y)
| ~CutScene ()
virtual Object * | copy ()
void | load (List *info)
void | update ()
void | draw ()
void | collide (Object *o)
void | control ()
void | activate ()
## Private Member Functions
void | runScene ()
## Private Attributes
bool | _active
std::queue< List * > | _scene
std::queue< int > | _waitTime
int | _keyTimer

## Detailed Description

Definition at line 9 of file CutScene.h.

## Constructor & Destructor Documentation

CutScene::CutScene | ( | List * | info,
|  | int | x,
|  | int | y
| ) |

| Definition at line 8 of file CutScene.cpp. References Object::_solid, Object::_type, CUTSCENE, and load(). Referenced by copy().

CutScene::~CutScene | ( |  | ) |

| Definition at line 17 of file CutScene.cpp. References _scene.

## Member Function Documentation

void CutScene::activate | ( |  | ) |

| Definition at line 58 of file CutScene.cpp. References _active, _keyTimer, CommandManager::flush(), CommandManager::instance(), and runScene(). Referenced by collide().

void CutScene::collide | ( | Object * | o | ) | `[virtual]`

| Reimplemented from Object. Definition at line 52 of file CutScene.cpp. References _active, activate(), Object::getType(), and PLAYER.

void CutScene::control | ( |  | ) | `[virtual]`

| Reimplemented from Object. Definition at line 66 of file CutScene.cpp. References _keyTimer, _waitTime, and runScene().

Object * CutScene::copy | ( |  | ) | `[virtual]`

| Reimplemented from Object. Definition at line 26 of file CutScene.cpp. References _scene, and CutScene().

void CutScene::draw | ( |  | ) | `[inline, virtual]`

| Implements Object. Definition at line 18 of file CutScene.h.

void CutScene::load | ( | List * | info | ) |

| Definition at line 36 of file CutScene.cpp. References _scene, _waitTime, List::empty(), and List::firstList(). Referenced by CutScene().

void CutScene::runScene | ( |  | ) | `[private]`

| Definition at line 76 of file CutScene.cpp. References Object::_id, and _scene. Referenced by activate(), and control().

void CutScene::update | ( |  | ) | `[inline, virtual]`

| Reimplemented from Object. Definition at line 17 of file CutScene.h. References _keyTimer.

## Member Data Documentation

bool CutScene::_active`[private]`

| Definition at line 24 of file CutScene.h. Referenced by activate(), and collide().

int CutScene::_keyTimer`[private]`

| Definition at line 28 of file CutScene.h. Referenced by activate(), control(), and update().

std::queue<List *> CutScene::_scene`[private]`

| Definition at line 25 of file CutScene.h. Referenced by copy(), load(), runScene(), and ~CutScene().

std::queue<int> CutScene::_waitTime`[private]`

| Definition at line 26 of file CutScene.h. Referenced by control(), and load().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/CutScene.h
- C:/Documents and Settings/jegan/Desktop/projectX/CutScene.cpp